Update a workflow
curl --request PUT \
--url https://api.allium.so/api/v1/streams/data-management/workflows/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"filter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
'import requests
url = "https://api.allium.so/api/v1/streams/data-management/workflows/{id}"
payload = {
"filter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({filter_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', description: '<string>'})
};
fetch('https://api.allium.so/api/v1/streams/data-management/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data_source_config": {
"topic": "<string>",
"type": "PUBSUB"
},
"data_destination_config": {
"type": "PUBSUB",
"delivery_type": "PULL",
"webhook_url": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"external_workflow_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Workflows
Update workflow
Update a workflow by ID
PUT
/
api
/
v1
/
streams
/
data-management
/
workflows
/
{id}
Update a workflow
Authorizations
Path Parameters
Response
Successful Response
- PubSubDataSourceMetadata
- KafkaDataSourceMetadata
Show child attributes
Show child attributes
- PubSubDataDestinationMetadata
- KafkaDataDestinationMetadata
Show child attributes
Show child attributes
Was this page helpful?
⌘I